#pragma once

#include "PdfObject.h"

class PdfPage;
using PdfPagePtr = std::unique_ptr<PdfPage>;

class PdfPageTree : public PdfObject
{
public:

    PdfPageTree();

    unsigned IndexObjects(unsigned count) override;

    std::string ToString(PdfXRefTable* xRefTable) override;

    void UpdateDictionary() override;

private:

    PdfPagePtr mRootPage;
};
